<?php
/**
 * 迁移接口
 * User: easyboom
 * Date: 2019/7/9
 * Time: 下午9:12
 */

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'chargePartner'], function () {
    Route::post("/api/activityLogin", "Fpdx\PairController@activityLogin");

    // 获取当前进行的活动
    Route::get("/api/getActivityConductStageId", "Fpdx\PairController@getActivityConductStageId");

    Route::get("/admin/cpData", "Fpdx\PairController@cpData");

    // 获取所有分配对象聊天客服
    Route::get("/api/allKfList", "Fpdx\PairController@allKfList");

    // 获取全部活动列表
    Route::get("/api/getActivityList", "Fpdx\PairController@getActivityList");

    // 获取助力列表
    Route::get("/api/getPair", "Fpdx\PairController@getPair");

    // 获取所有标签
    Route::get("/api/getAll", "Fpdx\PairController@getAll");

    Route::get("/api/getPairRoom", "Fpdx\PairController@getPairRoom");

    // 获取 通知
    Route::get("/api/getNotive", "Fpdx\PairController@getNotive");

    Route::get("/api/readNotive", "Fpdx\PairController@readNotive");
});

Route::group(['prefix' => 'homepage'], function () {
    Route::get("/public/citylist", "Fpdx\PairController@citylist");
    Route::get("public/searchSchool", "Fpdx\PairController@searchSchool");
});

Route::get('gtpush', "User\NoticeController@gtpush");
